server {
    resolver 127.0.0.11 valid=5m;
    include mime.types;
    location / {
        proxy_pass http://kompakkt-repo/;
    }
    location /viewer/ {
        proxy_pass http://kompakkt-viewer/;
    }
    location /viewer/viewer/ {
        proxy_pass http://kompakkt-viewer/;
    }
    location /server/ {
        # Server handles compression on its own
        gzip off;
        # 1GB size limit for server
        client_max_body_size 1024m;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header Host $http_host;
        proxy_pass
        http://kompakkt-server:8080/
        ;
    }
}
